<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" href="task33.5.css" />
  <link rel="preconnect" href="https://fonts.googleapis.com" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
  <link href="https://fonts.googleapis.com/css2?family=Inter&family=Italiana&family=Jost:wght@200;300&display=swap"
    rel="stylesheet" />
  <link href="https://fonts.googleapis.com/css2?family=Italiana&display=swap" rel="stylesheet" />
  <link href="https://fonts.googleapis.com/css2?family=Italiana&family=Jost:wght@200&display=swap" rel="stylesheet" />
  <link href="https://fonts.googleapis.com/css2?family=Italiana&family=Jost:wght@200;300&display=swap"
    rel="stylesheet" />
  <link
    href="https://fonts.googleapis.com/css2?family=Italiana&family=Jost:wght@200;300&family=Kaisei+Decol&display=swap"
    rel="stylesheet" />
  <link href="https://fonts.googleapis.com/css2?family=Italiana&family=Jost:wght@200;300&display=swap"
    rel="stylesheet" />


  <title>Green tea landing page 33.10</title>
</head>

<body>
  <!-- task 1 -->
  <div class="container">
    <div class="header">
      <div class="div-header">
        <img src="./Group 2.png" alt="" class="logo" />
      </div>
      <div class="menu">
        <div class="item-menu">Home</div>
        <div class="item-menu">About Us</div>
        <div class="item-menu">Product</div>
        <div class="item-menu">Contact</div>
      </div>
    </div>
  </div>
  <!-- task 2 -->
  <div class="banner">
    <div class="img-banner">
      <!-- <img src="./Rectangle 4.png" alt="" /> -->
    </div>

    <div class="title-banner">
      <div class="name-title">Home Made</div>
      <div class="des-banner">
        Kamus Bahasa Inggris Indonesia ini merupakan Kamus Online yang
        dibuat untuk memudahkan pencarian, penggunaan dan pembacaan arti
        kata.
      </div>
    </div>
  </div>
  <!-- task 3 -->
  <div class="body-page">
    <div class="title-body-page">Pilihan dari yang Terbaik</div>
    <div class="user-body-page">
      <div class="user-page">
        <div class="img-user">
          <img src="./Ellipse 1.png" alt="" />
        </div>
        <div class="name-user">Stevia</div>
        <div class="des-user">
          Stevia adalah sebuah genus dari sekitar 240 spesies dari ramuan
          dan semak dalam keluarga bunga matahari, asli subtropis dan daerah
          tropis dari barat Amerika Utara ke Amerika Selatan.
        </div>
      </div>
      <div class="user-page">
        <div class="img-user">
          <img src="./Ellipse 1 (1).png " alt="" />
        </div>
        <div class="name-user">Chamomile</div>
        <div class="des-user">
          Chamomile adalah tumbuhan semusim dari keluarga bunga Matahari
          Asteraceae. Tanaman ini tumbuh di seluruh wilayah Eropa, wilayah
          Asia yang memiliki 4 musim. Kamomil juga telah tersebar luas di
          Amerika Utara dan Australia oleh manusia.
        </div>
      </div>
      <div class="user-page">
        <div class="img-user">
          <img src="./Ellipse 1 (2).png" alt="" />
        </div>
        <div class="name-user">Teh Hijau</div>
        <div class="des-user">
          Teh hijau adalah nama teh yang dibuat dari daun tanaman teh yang
          dipetik dan mengalami proses pemanasan untuk mencegah oksidasi,
          atau bisa juga berarti minuman yang dihasilkan dari menyeduh daun
          teh tersebut.
        </div>
      </div>
      <div class="user-page">
        <div class="img-user">
          <img src="./Ellipse 1 (3).png" alt="" />
        </div>
        <div class="name-user">Hibiscus</div>
        <div class="des-user">
          Teh kembang sepatu adalah teh herbal yang dibuat sebagai infus
          dari kelopak bunga rosella berwarna merah tua atau magenta. Itu
          dikonsumsi baik panas maupun dingin.
        </div>
      </div>
    </div>
  </div>
  <!-- task 4 -->
  <div class="sale-day">
    <div class="day-sale">
      <div class="banner-day-sale">45 % OFF In Appril 2022</div>
      <div class="des-sale-day">
        Get your coupon and enjoy the discount. terms and Conditions applyu
      </div>
      <div class="contact-now">Contact now</div>
    </div>
    <div class="imag">
    </div>
  </div>

  <!-- task 5 -->
  <div class="form-contact">
    <div class="form">
      <div class="header-form">CONTACT</div>
      <form id="inp_form">
        <div class="form-group">
          <input type="text" placeholder="Name" id="input-name" />
          <input type="text" placeholder="Email" id="input-email" />
          <input type="text" placeholder="Message" id="input-message" />
          <button class="button-send" type="submit">SEND</button>
        </div>
      </form>

    </div>
  </div>
  <!-- task 6-->
  <div class="footer">
    <div class="logo-footer">
      <img src="./Group 2.png" alt="" class="" />
    </div>
    <div class="div logo-diffent">
      <img src="./facebook.png" alt="" class="facebook" />
      <img src="./instagram.png" alt="" class="intag" />
      <img src="./twitter.png" alt="" class="twitter" />
    </div>
    <div class="menufooter">
      <div class="footer-home">Home</div>
      <div class="footer-aboutus">About Us</div>
      <div class="footer-product">Product</div>
      <div class="footer-contact">Contact</div>
    </div>
  </div>
  </div>
  <script>
    "use strict";
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    var gBASE_URL = "https://62442d9d3da3ac772b0c50eb.mockapi.io/api/v1/";

    function getToday() {
      var today = new Date();
      // Lấy thông tin về ngày, tháng và năm
      var day = String(today.getDate()).padStart(2, '0');
      var month = String(today.getMonth() + 1).padStart(2, '0'); // Tháng được đếm từ 0 đến 11
      var year = today.getFullYear();
      // Ghi vào console theo định dạng dd/mm/yyyy
      console.log(day + '/' + month + '/' + year);
    }

    var gInpunForm = document.getElementById("inp_form");
    gInpunForm.addEventListener("submit", function (e) {
      //loại bỏ các sự kiện mặc định trên form
      e.preventDefault();
      contact();
    });


    function contact() {
      //B0: khai bao doi tuong de thu thap du lieu
      var vContactData = {
        name: "",
        email: "",
        message: "",
        createDate: "",
      };
      //B1: thu thap du lieu
      thuThapThongtin(vContactData);

      //B2: kiem tra du lieu
      var vValid = validate(vContactData);

      if (vValid) {
        //B3: ket noi api
        const vContactObj = new URLSearchParams(vContactData);
        var vXmlHttpContact = new XMLHttpRequest();
        callContactApi(vXmlHttpContact, vContactObj);
        vXmlHttpContact.onreadystatechange = function () {
          if (
            this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            this.status == gREQUEST_CREATE_OK
          ) {
            //B4: hien thi ket qua
            displayResult(vXmlHttpContact.responseText);
          }
        };
      }
    }
    //thu thập thông tin
      function thuThapThongtin(paramContactData) {

      var vNameEle = document.getElementById("input-name");
      var vEmailEle = document.getElementById("input-email");
      var vMessge = document.getElementById("input-message")
      var createDay = getToday()
      paramContactData.name = vNameEle.value;
      paramContactData.email = vEmailEle.value;
      paramContactData.message = vMessge.value;
      paramContactData.createDate = createDay;
    }

    function validate(paramContactObj) {
  
      if (paramContactObj.name == "") {
        alert("Tên không để trống");
        return false;
      }
      if (paramContactObj.email == "") {
        alert("email không để trống");
        return false;
      }
      if (paramContactObj.message == "") {
        alert("lời nhắn không để trống");
        return false;
      }
      if (!validateEmail(paramContactObj.email)) {
        alert("Email không đúng định dạng");
        return false;
      }
      if (paramContactObj.message.length < 21) {
        alert("Lời nhắn phải trên 20 ký tự");
        return false;
      }
      return true

    }
    function validateEmail(paramEmail) {
      var vRegexEmail = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{1,}))$/;
      var vChecked = false;
      if (paramEmail && paramEmail.match(vRegexEmail)) {
        vChecked = true;
      }
      return vChecked;
    }
    function callContactApi(paramXmlHttpContact, paramContactObj) {
  
        paramXmlHttpContact.open("POST", gBASE_URL + "/contacts", true)
  
      paramXmlHttpContact.send();
    }

    function displayResult(paramContactData) {
      alert("thành công")
    }
  </script>
</body>

</html>